import { jsx } from "react/jsx-runtime";
import { TokenVSP as TokenVSP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenVSP = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "VSP", "data-name": "TokenVSP", ...props, children: /* @__PURE__ */ jsx(TokenVSP$1, { variant }) });
  }
);
TokenVSP.displayName = "TokenVSP";
Object.assign(TokenVSP, { isGdsIcon: true });
export {
  TokenVSP
};
